import java.util.*;
import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;
import com.nokia.mid.ui.*;

class BombUtils {
  public static final String[] weekDayNames = {"Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag", "Sonntag"};
  
  public static final int[][][] digits = {
    { // 0
      {1,1,1,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0}
    },
    { // 1
      {0,0,0,1,0},
      {0,0,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0}
    },
    { // 2
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {1,1,1,1,0},
      {1,0,0,0,0},
      {1,0,0,0,0},
      {1,1,1,1,0}
    },
    { // 3
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {1,1,1,1,0}
    },
    { // 4
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0}
    },
    { // 5
      {1,1,1,1,0},
      {1,0,0,0,0},
      {1,0,0,0,0},
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {1,1,1,1,0}
    },
    { // 6
      {1,0,0,0,0},
      {1,0,0,0,0},
      {1,0,0,0,0},
      {1,1,1,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0}
    },
    { // 7
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,1,0,0},
      {0,0,1,0,0},
      {0,0,1,0,0},
      {0,0,1,0,0}
    },
    { // 8
      {1,1,1,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0}
    },
    { // 9
      {1,1,1,1,0},
      {1,0,0,1,0},
      {1,0,0,1,0},
      {1,1,1,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0},
      {0,0,0,1,0}
    },
    { // :
      {0,0,0,0,0},
      {0,0,1,0,0},
      {0,0,1,0,0},
      {0,0,0,0,0},
      {0,0,1,0,0},
      {0,0,1,0,0},
      {0,0,0,0,0}
    }
  };
  
  
  public static void drawDigit(Graphics g, int x, int y, int pw, int ph, int iDigit, int digitColor, int backColor){
    
    for (int i = 0; i < digits[iDigit].length; i++) {
      for (int j = 0; j < digits[iDigit][i].length; j++) {
        if (1 == digits[iDigit][i][j]){
          g.setColor(digitColor);
        } else {
          g.setColor(backColor);
        }
        g.fillRect(x + pw * j, y + ph * i, pw, ph);
        
        g.setColor(backColor);
        g.drawRect(x + pw * j, y + ph * i, pw, ph);
      }
    }
  }    
  
  public static int dowToIndex(int dow){
    int retVal = -1;
    switch (dow){
      case Calendar.MONDAY:     retVal = 0; break;
      case Calendar.TUESDAY:    retVal = 1; break;
      case Calendar.WEDNESDAY:  retVal = 2; break;
      case Calendar.THURSDAY:   retVal = 3; break;
      case Calendar.FRIDAY:     retVal = 4; break;
      case Calendar.SATURDAY:   retVal = 5; break;
      case Calendar.SUNDAY:     retVal = 6; break;
      default: retVal = -1;
    }
    return retVal;
  }

  public static String dowToDayName(int i){
    String retVal = "?";
    switch (i){
      case Calendar.MONDAY:     retVal = weekDayNames[0]; break;
      case Calendar.TUESDAY:    retVal = weekDayNames[1]; break;
      case Calendar.WEDNESDAY:  retVal = weekDayNames[2]; break;
      case Calendar.THURSDAY:   retVal = weekDayNames[3]; break;
      case Calendar.FRIDAY:     retVal = weekDayNames[4]; break;
      case Calendar.SATURDAY:   retVal = weekDayNames[5]; break;
      case Calendar.SUNDAY:     retVal = weekDayNames[6]; break;
      default: retVal = "???";
    }
    return retVal;
  }
  
  
  public static String addLeadingZeros(int input, int maxLen){
    String retVal = "" + input;
    return addLeadingZeros(retVal, maxLen);
  }  
  
  public static String addLeadingZeros(String input, int maxLen){
    String retVal = input;
    
    if (maxLen < 1) {
      return retVal;
    }
    
    int iLen = retVal.length();
    
    while (iLen < maxLen){
      retVal = "0" + retVal;
      iLen = retVal.length();
    }    
    
    return retVal;
  }
}
